Create folder
curl --request POST \
--url https://api.uselora.com/v1/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.uselora.com/v1/folders"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.uselora.com/v1/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"isSystem": true,
"workspaceId": "<string>",
"creatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"fieldErrors": {},
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"requestId": "<string>",
"code": "<string>",
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"traceId": "<string>"
}Folders
Create folder
Creates a folder in the workspace. Folder names must be unique within the workspace.
POST
/
v1
/
folders
Create folder
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The created folder.
A folder.
The folder's unique ID.
Pattern:
^[0-9abcdefghjkmnpqrstvwxyz]{8}$Example:
"a1b2c3d4"
True for built-in folders such as the workspace default. Folders you create are always false.
ID of the workspace the folder belongs to.
ID of the user who created the folder.
ISO 8601 creation timestamp.
ISO 8601 timestamp of the last update.
Was this page helpful?
⌘I